Bug Hunting Session
Bug 75045 - sidebar: Remove pointless controls from Paragraph panel
Summary: sidebar: Remove pointless controls from Paragraph panel
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Properties
  Show dependency treegraph
 
Reported: 2014-02-16 08:13 UTC by Maxim Monastirsky
Modified: 2016-10-24 14:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looks now (10.61 KB, image/png)
2014-02-16 08:14 UTC, Maxim Monastirsky
Details
How it may look (8.72 KB, image/png)
2014-02-16 08:17 UTC, Maxim Monastirsky
Details
Even better solution (8.68 KB, image/png)
2014-02-16 15:46 UTC, Maxim Monastirsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2014-02-16 08:13:18 UTC
Currently the Paragraph panel has some pointless controls that just eating space:

1) Two labels: "Spacing:", "Indent". They don't add any clarity (not to say functionality).

2) Two buttons: "Increase Indent", "Decrease Indent". These buttons just duplicate the functionality of spin-boxes. You can click on the corresponding spin-box (or scroll with the middle mouse button) to achieve the same result.

3) Two buttons: "Increase Spacing", "Decrease Spacing". Same argument as above (although I'm not sure about this one, because these buttons set both before/after paragraph space at once, which is not possible otherwise).

4) Paragraph backgroung color button is too wide. Can be a small button, just like font color/highlight buttons from the Character panel.
Comment 1 Maxim Monastirsky 2014-02-16 08:14:26 UTC
Created attachment 94152 [details]
How it looks now
Comment 2 Maxim Monastirsky 2014-02-16 08:17:11 UTC
Created attachment 94153 [details]
How it may look

In this screenshot I moved Increase/Decrease spacing buttons to the bottom, but they can be also moved to the first row, or removed completely.
Comment 3 tommy27 2014-02-16 08:35:48 UTC
UX-advise needed
Comment 4 Maxim Monastirsky 2014-02-16 15:46:02 UTC
Created attachment 94165 [details]
Even better solution
Comment 5 Maxim Monastirsky 2014-02-25 13:24:12 UTC
It was actually supposed to go to ux-advise.
Comment 6 V Stuart Foote 2014-02-25 14:56:56 UTC
Do not agree, especially as Sifr icons gain prominence, the text annotation in the widget layout actually is helpful from a UX and a11y perspective.

But, it doesn't make sense to do the sidebar UX design work one functional panel at a time. It is too easy for design and coding actions (UX and a11y) to get lost.

Adding this to the Sidebar meta bug 65138
Comment 7 Stefan Knorr (astron) 2014-02-25 15:33:17 UTC
None of the changes listed in this bug sound helpful to me:

+ icons are not as speaking as one might wish => there is a reason why
  the labels are there

+ increase/decrease buttons: they save you from thinking too much about
  indents (or spacing), are much faster to use than the spin buttons
  and produce consistent results

+ paragraph background colour button is indeed a bit wide, but showing the
  selected colour in a larger box is a good thing because that makes it more
  conspicuous (I would wish for that colour box to be a square next to the
  icon, but the  current look is definitely better than the proposals in the
  attachment)

+ moving the _paragraph_ spacing buttons directly next to the _line_ spacing
  button (as in attachment 94153 [details]) is even more confusing than the current
  layout

(The "even better solution" introduces even more disarray. Please read up on the Gestalt principles.)


I'd tend towards closing as INVALID or NOTABUG.
Comment 8 Tin Man 2014-02-25 16:16:06 UTC
About removing labels:
Please don't. The icons for the commands are relatively hard to interpret, and the labels help massively. In fact, it would be useful to separate spacing and indentation further visually -- perhaps have them in separate rows rather than next to each other.

About removing indentation buttons: Good idea, but it would be useful to increment and decrement by the same amount (1.25 cm in my case) in the spin box then.

About removing spacing buttons: Please do. These buttons are misleading -- they don't increase or decrease the spacing; they don't affect spacing at all. Rather, they only increase/decrease the space before and after a paragraph, which the spin boxes are sufficient for. (It would also be useful to move the line spacing drop-down and spin box from the spacing popover right into the sidebar, and get rid of the popover.)

About making the background color button smaller: I agree that the dimensions could be different -- the current ones, 64x12, seem haphazard and don't really fit in. However, given the space available, it's useful to have a size greater than the tiny rectangle that would be available in the toolbar -- for faster recognition.
Comment 9 Heiko Tietze 2016-05-23 13:35:07 UTC
I agree with the refusers and close this bug as WONTFIX. We should reorganize and realign the controls, however. It has been reported several times.